# $Id: smeserver-denyhosts-2.6.spec,v 1.1 2008/04/15 15:06:18 slords Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 

Summary: smeserver-denyhosts
%define name smeserver-denyhosts

# Variable representing installation directories:
%define installdir_denyhosts /etc/e-smith/web/functions
%define installdir_denyhosts_python /usr/lib/python2.3/site-packages/DenyHosts

Name: %{name}
%define version 2.6
%define release 0.4
Version: 		%{version}
Release: 		%{release}%{?dist}
License: 		GPL
Group: 			Applications/System
Source: 		%{name}-%{version}.tgz
Url: 			http://smeserver.pialasse.com/
BuildRoot:              /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:		noarch
BuildRequires:          e-smith-devtools >= 1.13.1-03
Requires:               smeserver-release >= 7.0

%description
DenyHosts is a Python script that analyzes the sshd server log
messages to determine which hosts are attempting to hack into your
system. It also determines what user accounts are being targeted. It
keeps track of the frequency of attempts from each host and, upon
discovering a repeated attack host, updates the /etc/hosts.deny file
to prevent future break-in attempts from that host.  Email reports can
be sent to a system admin. http://denyhosts.sourceforge.net/

%prep
%setup

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root,-)
%{installdir_denyhosts}/denyhosts

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Mar 31 2008 JP PIALASSE tests@pialasse.com  2.6-0.3
- bug in install scriptlet corrected
- bug about XML error on install corrected

* Sun Mar 30 2008 JP PIALASSE tests@pialasse.com  2.6-0.2
- incorrect template name for hosts.allow corrected

* Sat Mar 29 2008 JP PIALASSE tests@pialasse.com  2.6-0.1
- first package for SME from denyhosts src rpm for fedora core  4
- panel for server-manager
